Get Webhook Config
curl --request GET \
--url https://api.eflow.team/v1/networks/webhooks/{webhookId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/webhooks/{webhookId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_webhook_id": 1,
"network_id": 1,
"webhook_types": [
"affiliate_updated"
],
"http_method": "post",
"webhook_url": "https://example.com/webhook",
"description": "My webhook",
"status": "active",
"time_created": 1774726693,
"time_saved": 1774726693
}Webhooks
Get Webhook Config
GET
/
networks
/
webhooks
/
{webhookId}
Get Webhook Config
Retrieve a single webhook configuration by its ID. Returns the webhook URL, event types, status, and other configuration details.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The webhook ID.
Response
200 - application/json
A webhook configuration.
Unique webhook ID.
Example:
1
Network ID.
Example:
1
Event types that trigger this webhook.
Available options:
advertiser_created, advertiser_signed_up, advertiser_updated, affiliate_approved_for_offer, affiliate_created, affiliate_signed_up, affiliate_signup_verdict, affiliate_updated, offer_created, offer_updated, traffic_optimized Example:
["affiliate_updated"]
HTTP method used when sending the webhook.
Available options:
get, post Example:
"post"
The webhook endpoint URL.
Example:
"https://example.com/webhook"
Optional description for the webhook.
Example:
"My webhook"
Webhook status.
Available options:
active, inactive Example:
"active"
Unix timestamp of creation.
Example:
1774726693
Unix timestamp of last update.
Example:
1774726693
Was this page helpful?
